Create Bot Detection Policy

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Creates the given bot detection policy. If the upsert query param is set to true then, instead of performing a create, the API will switch to performing an upsert. For an upsert request, the following fields are required:

Required Upsert Fields:

  • ownerType
  • ownerId

When performing an upsert, the above fields will be used to determine whether the bot detection policy resource already exists. If the bot detection policy already exists, a partial update will be performed; otherwise, a new bot detection policy entity will be created.

In the response of an upsert request, if a create was performed, then a 201 response code will be returned; otherwise, if an update was performed, then a 200 will be returned.

Required Permissions

Below is the list of required permissions needed to interact with this API. For each permission, the allowed permission boundaries are also specified.

PermissionBoundaryDescription
bot-detection-policy:writeApplicationThe subject can create bot detection policies for the application to which the subject belongs.
Query Params
boolean
Defaults to false

Boolean indicating if the operation should be treated as an upsert

Body Params

Bot detection policy JSON object

Bot Detection Policy

string
enum
required
length between 1 and 30

[Required on Create and Upsert] The type of the owner of the resource.

Allowed:
string
required
length between 1 and 26

[Required on Create and Upsert] The ID of the owner of the resource.

string
enum
Defaults to ALWAYS

The captcha enforcement strategy that will be used when users attempt to perform the login workflow.

Supported Strategies:

  • ALWAYS: Users will always be forced to solve a captcha during the current auth workflow.
  • NEVER: Users will never have to solve a captcha during the current auth workflow.
Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json